<?php

class Game extends Model
{

    // ===========
    // = Statics =
    // ===========

    protected static $table_name = 'MJ_GAME';

    public static function getList()
    {
        $stm = parent::exec('GAME_LIST');
        return $stm->fetchAll();
    }

    public static function getRow($id)
    {
        $stm = parent::exec('GAME_GET_WITH_ID', ['id' => $id]);
        return $stm->fetchAll();
    }

}